# SPDX-License-Identifier: Apache-2.0
# Copyright IBM Corp 2023

neo4j:
  password: "xxxxxxx"
  resources:
    cpu: "1"
    #memory: "2Gi"
    # Neo4j Edition to use (community|enterprise) the default is 
    # community so only change this if you have a license
  edition: "community"
  # set edition: "enterprise" to use Neo4j Enterprise Edition
  # To use Neo4j Enterprise Edition you must have a Neo4j license 
  # agreement.
  #
  # More information is also available at: neo4j.com/licensing
  # Email inquiries can be directed to: licensing@neo4j.com
  #
  # Set acceptLicenseAgreement: "yes" to confirm that you have a 
  # Neo4j license agreement
  acceptLicenseAgreement: "yes"

volumes:
  data:
    # for detail of mode, rea neo4j helm chart info
    mode: dynamic  # defaultStorageClass
    dynamic:
      storageClassName: "<storageclassName>"
      accessModes:
        - ReadWriteOnce
      requests:
        storage: 10Gi
    #defaultStorageClass:
    #  requests:
    #    storage: 1Gi
 # Neo4j configuration (yaml format)
config:
  dbms.default_database: "neo4j"
  dbms.config.strict_validation: "true"
  # prometheus config
  # for enterprise version only
  # metrics.prometheus.enabled: "true"
  # metrics.prometheus.endpoint: "localhost:2004"

env:
  NEO4J_PLUGINS: '["apoc"]'

# for OPENSHIFT
#securityContext:
#  runAsNonRoot: true
#  runAsUser: null
#  runAsGroup: null
#  fsGroup: null
#  fsGroupChangePolicy: "Always"

# securityContext defines privilege and access control settings for a Container. Making sure that we dont run Neo4j as root user.
#containerSecurityContext:
#  runAsNonRoot: true
#  runAsUser: null
#  runAsGroup: null